GNU bug report logs - #37153
26.1; some png images scrambled

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Roland Winkler" <winkler@HIDDEN>; dated Fri, 23 Aug 2019 04:50:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 24 Sep 2019 17:14:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 24 13:14:41 2019
Received: from localhost ([127.0.0.1]:40057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCoOf-0001UL-AT
	for submit <at> debbugs.gnu.org; Tue, 24 Sep 2019 13:14:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iCoOd-0001U9-5l
 for 37153 <at> debbugs.gnu.org; Tue, 24 Sep 2019 13:14:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45250)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iCoOX-00067K-CL; Tue, 24 Sep 2019 13:14:33 -0400
Received: from [176.228.60.248] (port=2600 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iCoOW-0006nC-AJ; Tue, 24 Sep 2019 13:14:32 -0400
Date: Tue, 24 Sep 2019 20:14:17 +0300
Message-Id: <83muetobva.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <878sqdzmqp.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 24 Sep 2019 18:23:58 +0200)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <5136.20784.40920.23906@HIDDEN>
 <wlwof1ive4.wl-mituharu@HIDDEN>
 <4a893dc7-659a-be76-01d3-3f0a4de57ba4@HIDDEN>
 <wlblwckfwg.wl-mituharu@HIDDEN>
 <023ff38a-104e-be32-b605-94caecd3fb2d@HIDDEN> <878sqdzmqp.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, eggert@HIDDEN, winkler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Tue, 24 Sep 2019 18:23:58 +0200
> Cc: 37153 <at> debbugs.gnu.org, Roland Winkler <winkler@HIDDEN>
> 
> The PNGs in question display well for me as well, so was the conclusion
> here that this is now fixed?
> 
> Except possibly on Windows?

Yes, they don't display correctly on Windows.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 24 Sep 2019 16:24:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 24 12:24:11 2019
Received: from localhost ([127.0.0.1]:39952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCnbn-0002PQ-D1
	for submit <at> debbugs.gnu.org; Tue, 24 Sep 2019 12:24:11 -0400
Received: from quimby.gnus.org ([80.91.231.51]:39684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iCnbh-0002PA-W6
 for 37153 <at> debbugs.gnu.org; Tue, 24 Sep 2019 12:24:07 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iCnbb-00015a-FH; Tue, 24 Sep 2019 18:24:02 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <5136.20784.40920.23906@HIDDEN>
 <wlwof1ive4.wl-mituharu@HIDDEN>
 <4a893dc7-659a-be76-01d3-3f0a4de57ba4@HIDDEN>
 <wlblwckfwg.wl-mituharu@HIDDEN>
 <023ff38a-104e-be32-b605-94caecd3fb2d@HIDDEN>
Date: Tue, 24 Sep 2019 18:23:58 +0200
In-Reply-To: <023ff38a-104e-be32-b605-94caecd3fb2d@HIDDEN> (Paul Eggert's
 message of "Sun, 25 Aug 2019 16:39:11 -0700")
Message-ID: <878sqdzmqp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Paul Eggert <eggert@HIDDEN> writes: > Thanks for
 catching
 my mistake. I installed the attached patch, which > is closer to the code
 you originally suggested. With it, displaying > one of the images you suggested
 looks like the attached [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, Roland Winkler <winkler@HIDDEN>,
 YAMAMOTO Mitsuharu <mituharu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Eggert <eggert@HIDDEN> writes:

> Thanks for catching my mistake. I installed the attached patch, which
> is closer to the code you originally suggested. With it, displaying
> one of the images you suggested looks like the attached image; hope
> it's what you're looking for. (I disabled font-lock-mode as you also
> suggested.)

The PNGs in question display well for me as well, so was the conclusion
here that this is now fixed?

Except possibly on Windows?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 25 Aug 2019 23:39:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 19:39:21 2019
Received: from localhost ([127.0.0.1]:45245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i226T-0007mu-Aq
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 19:39:21 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:53016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1i226R-0007me-Cf
 for 37153 <at> debbugs.gnu.org; Sun, 25 Aug 2019 19:39:20 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 811CC160057;
 Sun, 25 Aug 2019 16:39:13 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id RyGLgH2_fIUy; Sun, 25 Aug 2019 16:39:12 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 7C76B160079;
 Sun, 25 Aug 2019 16:39:12 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id kNUj2hrrCXft; Sun, 25 Aug 2019 16:39:12 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 3A9CE160057;
 Sun, 25 Aug 2019 16:39:12 -0700 (PDT)
Subject: Re: bug#37153: 26.1; some png images scrambled
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <5136.20784.40920.23906@HIDDEN>
 <wlwof1ive4.wl-mituharu@HIDDEN>
 <4a893dc7-659a-be76-01d3-3f0a4de57ba4@HIDDEN>
 <wlblwckfwg.wl-mituharu@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <023ff38a-104e-be32-b605-94caecd3fb2d@HIDDEN>
Date: Sun, 25 Aug 2019 16:39:11 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <wlblwckfwg.wl-mituharu@HIDDEN>
Content-Type: multipart/mixed; boundary="------------F0AB3185895160A38CF55F9A"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, Roland Winkler <winkler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------F0AB3185895160A38CF55F9A
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

YAMAMOTO Mitsuharu wrote:

> At least, your patch misses the case of non-paletted transparent PNGs
> (tb???c?? in http://www.schaik.com/pngsuite2011/pngsuite_trn_png.html).

Thanks for catching my mistake. I installed the attached patch, which is closer 
to the code you originally suggested. With it, displaying one of the images you 
suggested looks like the attached image; hope it's what you're looking for. (I 
disabled font-lock-mode as you also suggested.)

--------------F0AB3185895160A38CF55F9A
Content-Type: text/x-patch;
 name="0001-Fix-bug-with-non-paletted-transparent-PNGs.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-Fix-bug-with-non-paletted-transparent-PNGs.patch"

From d3b17dd5f5e3805342dbe4ae20706e9520c48179 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@HIDDEN>
Date: Sun, 25 Aug 2019 16:35:43 -0700
Subject: [PATCH] Fix bug with non-paletted transparent PNGs

Adapted from a fix by YAMAMOTO Mitsuharu (Bug#37153#77).
* src/image.c (png_load_body): Fix bug with non-paletted
transparent images.
---
 src/image.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

diff --git a/src/image.c b/src/image.c
index 18495612e9..fe7bd90b05 100644
--- a/src/image.c
+++ b/src/image.c
@@ -6598,15 +6598,16 @@ png_load_body (struct frame *f, struct image *img, struct png_load_context *c)
 # ifdef PNG_tRNS_SUPPORTED
   png_bytep trans_alpha;
   int num_trans;
-  if (png_get_tRNS (png_ptr, info_ptr, &trans_alpha, &num_trans, NULL)
-      && trans_alpha)
+  if (png_get_tRNS (png_ptr, info_ptr, &trans_alpha, &num_trans, NULL))
     {
-      int i;
-      for (i = 0; i < num_trans; i++)
-	if (0 < trans_alpha[i] && trans_alpha[i] < 255)
-	  break;
-      if (! (i < num_trans))
-	transparent_p = true;
+      transparent_p = true;
+      if (trans_alpha)
+	for (int i = 0; i < num_trans; i++)
+	  if (0 < trans_alpha[i] && trans_alpha[i] < 255)
+	    {
+	      transparent_p = false;
+	      break;
+	    }
     }
 # endif
 
-- 
2.17.1


--------------F0AB3185895160A38CF55F9A
Content-Type: image/png;
 name="display-tbrn2c08.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="display-tbrn2c08.png"
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--------------F0AB3185895160A38CF55F9A--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 25 Aug 2019 23:06:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 19:06:07 2019
Received: from localhost ([127.0.0.1]:45235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i21aJ-0006v0-4U
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 19:06:07 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:62255)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mituharu@HIDDEN>) id 1i21aG-0006ur-He
 for 37153 <at> debbugs.gnu.org; Sun, 25 Aug 2019 19:06:05 -0400
Received: from mathent.math.s.chiba-u.ac.jp (mathent [192.168.32.5])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 24CBAF08E0;
 Mon, 26 Aug 2019 08:06:05 +0900 (JST)
 (envelope-from mituharu@HIDDEN)
Date: Mon, 26 Aug 2019 08:06:05 +0900
Message-ID: <wlo90c976q.wl-mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#37153: 26.1; some png images scrambled
In-Reply-To: <wlblwckfwg.wl-mituharu@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <5136.20784.40920.23906@HIDDEN>
 <wlwof1ive4.wl-mituharu@HIDDEN>
 <4a893dc7-659a-be76-01d3-3f0a4de57ba4@HIDDEN>
 <wlblwckfwg.wl-mituharu@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/25.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, Roland Winkler <winkler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 26 Aug 2019 08:02:23 +0900,
YAMAMOTO Mitsuharu wrote:
> 
> On Mon, 26 Aug 2019 03:38:07 +0900,
> Paul Eggert wrote:
> > 
> > YAMAMOTO Mitsuharu wrote:
> > 
> > > It seems to be necessary to look into the tRNS chunk data for paletted
> > > images.  Again, W32 would need some more work.
> > 
> > Thanks, I confirmed that this fixes the misdisplay for me as well. I
> > attempted to port it to w32 (as well as to unusual libpng builds that
> > do not define PNG_tRNS_SUPPORTED) and installed the attached into
> > master.
> > 
> > With this patch on Ubuntu 18.04.3 I always see the first image shown
> > in your tRNS.pg screenshot <https://bugs.gnu.org/37153#56>. So it may
> > be that more work needs to be done to support other faces. Still, this
> > patch is an improvement so it's worth going in.
> 
> At least, your patch misses the case of non-paletted transparent PNGs
> (tb???c?? in http://www.schaik.com/pngsuite2011/pngsuite_trn_png.html).
 
And you would need to turn off font-lock-mode (or start Emacs with -D)
to replicate my tRNS.png screenshot.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 25 Aug 2019 23:02:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 19:02:30 2019
Received: from localhost ([127.0.0.1]:45231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i21Wm-0006pP-Gc
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 19:02:28 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:62257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mituharu@HIDDEN>) id 1i21Wi-0006pC-Us
 for 37153 <at> debbugs.gnu.org; Sun, 25 Aug 2019 19:02:26 -0400
Received: from mathent.math.s.chiba-u.ac.jp (mathent [192.168.32.5])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 67836F08E0;
 Mon, 26 Aug 2019 08:02:23 +0900 (JST)
 (envelope-from mituharu@HIDDEN)
Date: Mon, 26 Aug 2019 08:02:23 +0900
Message-ID: <wlblwckfwg.wl-mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#37153: 26.1; some png images scrambled
In-Reply-To: <4a893dc7-659a-be76-01d3-3f0a4de57ba4@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <5136.20784.40920.23906@HIDDEN>
 <wlwof1ive4.wl-mituharu@HIDDEN>
 <4a893dc7-659a-be76-01d3-3f0a4de57ba4@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/25.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, Roland Winkler <winkler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 26 Aug 2019 03:38:07 +0900,
Paul Eggert wrote:
> 
> YAMAMOTO Mitsuharu wrote:
> 
> > It seems to be necessary to look into the tRNS chunk data for paletted
> > images.  Again, W32 would need some more work.
> 
> Thanks, I confirmed that this fixes the misdisplay for me as well. I
> attempted to port it to w32 (as well as to unusual libpng builds that
> do not define PNG_tRNS_SUPPORTED) and installed the attached into
> master.
> 
> With this patch on Ubuntu 18.04.3 I always see the first image shown
> in your tRNS.pg screenshot <https://bugs.gnu.org/37153#56>. So it may
> be that more work needs to be done to support other faces. Still, this
> patch is an improvement so it's worth going in.

At least, your patch misses the case of non-paletted transparent PNGs
(tb???c?? in http://www.schaik.com/pngsuite2011/pngsuite_trn_png.html).

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN

diff --git a/src/image.c b/src/image.c
index 18495612e98..8c4ab096938 100644
--- a/src/image.c
+++ b/src/image.c
@@ -6598,15 +6598,19 @@ png_load_body (struct frame *f, struct image *img, struct png_load_context *c)
 # ifdef PNG_tRNS_SUPPORTED
   png_bytep trans_alpha;
   int num_trans;
-  if (png_get_tRNS (png_ptr, info_ptr, &trans_alpha, &num_trans, NULL)
-      && trans_alpha)
+  if (png_get_tRNS (png_ptr, info_ptr, &trans_alpha, &num_trans, NULL))
     {
-      int i;
-      for (i = 0; i < num_trans; i++)
-	if (0 < trans_alpha[i] && trans_alpha[i] < 255)
-	  break;
-      if (! (i < num_trans))
+      if (!trans_alpha)
 	transparent_p = true;
+      else
+	{
+	  int i;
+	  for (i = 0; i < num_trans; i++)
+	    if (0 < trans_alpha[i] && trans_alpha[i] < 255)
+	      break;
+	  if (! (i < num_trans))
+	    transparent_p = true;
+	}
     }
 # endif
 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 25 Aug 2019 18:56:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 14:56:46 2019
Received: from localhost ([127.0.0.1]:45107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1xgz-000881-Nb
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 14:56:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i1xgw-00087n-GO
 for 37153 <at> debbugs.gnu.org; Sun, 25 Aug 2019 14:56:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53494)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i1xgp-0000wo-UX; Sun, 25 Aug 2019 14:56:35 -0400
Received: from [176.228.60.248] (port=4757 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i1xgn-0007pX-Tg; Sun, 25 Aug 2019 14:56:34 -0400
Date: Sun, 25 Aug 2019 21:56:26 +0300
Message-Id: <83a7bxgjl1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <4a893dc7-659a-be76-01d3-3f0a4de57ba4@HIDDEN> (message from
 Paul Eggert on Sun, 25 Aug 2019 11:38:07 -0700)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <5136.20784.40920.23906@HIDDEN>
 <wlwof1ive4.wl-mituharu@HIDDEN>
 <4a893dc7-659a-be76-01d3-3f0a4de57ba4@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, winkler@HIDDEN, mituharu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Paul Eggert <eggert@HIDDEN>
> Date: Sun, 25 Aug 2019 11:38:07 -0700
> Cc: 37153 <at> debbugs.gnu.org
> 
> > It seems to be necessary to look into the tRNS chunk data for paletted
> > images.  Again, W32 would need some more work.
> 
> Thanks, I confirmed that this fixes the misdisplay for me as well. I attempted 
> to port it to w32 (as well as to unusual libpng builds that do not define 
> PNG_tRNS_SUPPORTED) and installed the attached into master.

Thanks, this builds on MS-Windows, but the display of that PNG image
is still incorrect.

My guess is that some changes are needed in
image_create_x_image_and_pixmap_1, where there's a separate
implementation for HAVE_NTGUI.  But I have no idea what changes are
needed there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 25 Aug 2019 18:38:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 14:38:18 2019
Received: from localhost ([127.0.0.1]:45087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1xP7-0007Sv-Rl
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 14:38:18 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:57602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1i1xP5-0007Sb-8X
 for 37153 <at> debbugs.gnu.org; Sun, 25 Aug 2019 14:38:16 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 95D45160057;
 Sun, 25 Aug 2019 11:38:09 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 45g1Bm6LDQDf; Sun, 25 Aug 2019 11:38:08 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 77524160079;
 Sun, 25 Aug 2019 11:38:08 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id LRYnDilTserY; Sun, 25 Aug 2019 11:38:08 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 44C9C160057;
 Sun, 25 Aug 2019 11:38:08 -0700 (PDT)
Subject: Re: bug#37153: 26.1; some png images scrambled
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>,
 Roland Winkler <winkler@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <5136.20784.40920.23906@HIDDEN>
 <wlwof1ive4.wl-mituharu@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <4a893dc7-659a-be76-01d3-3f0a4de57ba4@HIDDEN>
Date: Sun, 25 Aug 2019 11:38:07 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <wlwof1ive4.wl-mituharu@HIDDEN>
Content-Type: multipart/mixed; boundary="------------2DC646F745174DCE19A5F135"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------2DC646F745174DCE19A5F135
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

YAMAMOTO Mitsuharu wrote:

> It seems to be necessary to look into the tRNS chunk data for paletted
> images.  Again, W32 would need some more work.

Thanks, I confirmed that this fixes the misdisplay for me as well. I attempted 
to port it to w32 (as well as to unusual libpng builds that do not define 
PNG_tRNS_SUPPORTED) and installed the attached into master.

With this patch on Ubuntu 18.04.3 I always see the first image shown in your 
tRNS.pg screenshot <https://bugs.gnu.org/37153#56>. So it may be that more work 
needs to be done to support other faces. Still, this patch is an improvement so 
it's worth going in.

--------------2DC646F745174DCE19A5F135
Content-Type: text/x-patch;
 name="0001-Fix-misdisplay-of-PNG-paletted-images.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-Fix-misdisplay-of-PNG-paletted-images.patch"

From 64aa756cfa5943c8b3494ac1fbb4db712c50ae64 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@HIDDEN>
Date: Sun, 25 Aug 2019 10:01:46 -0700
Subject: [PATCH] Fix misdisplay of PNG paletted images

Problem reported by Roland Winkler (Bug#37153).
Derived from a patch suggested by YAMAMOTO Mitsuharu (Bug#37153#62).
* src/image.c (png_get_valid) [WINDOWSNT]:
Do not dynamically link this function.
(png_get_tRNS) [WINDOWSNT && PNG_tRNS_SUPPORTED]:
Dynamically link this function instead.
(png_load_body): Do not assume that every paletted image supplies
only transparency data.  Fix typo in use of transparent_p.
---
 src/image.c | 34 +++++++++++++++++++++++++---------
 1 file changed, 25 insertions(+), 9 deletions(-)

diff --git a/src/image.c b/src/image.c
index 81d8cb4e2b..18495612e9 100644
--- a/src/image.c
+++ b/src/image.c
@@ -6234,7 +6234,10 @@ DEF_DLL_FN (void, png_read_info, (png_structp, png_infop));
 DEF_DLL_FN (png_uint_32, png_get_IHDR,
 	    (png_structp, png_infop, png_uint_32 *, png_uint_32 *,
 	     int *, int *, int *, int *, int *));
-DEF_DLL_FN (png_uint_32, png_get_valid, (png_structp, png_infop, png_uint_32));
+#  ifdef PNG_tRNS_SUPPORTED
+DEF_DLL_FN (png_uint_32, png_get_tRNS, (png_structp, png_infop, png_bytep *,
+					int *, png_color_16p *));
+#  endif
 DEF_DLL_FN (void, png_set_strip_16, (png_structp));
 DEF_DLL_FN (void, png_set_expand, (png_structp));
 DEF_DLL_FN (void, png_set_gray_to_rgb, (png_structp));
@@ -6273,7 +6276,9 @@ init_png_functions (void)
   LOAD_DLL_FN (library, png_set_sig_bytes);
   LOAD_DLL_FN (library, png_read_info);
   LOAD_DLL_FN (library, png_get_IHDR);
-  LOAD_DLL_FN (library, png_get_valid);
+#  ifdef PNG_tRNS_SUPPORTED
+  LOAD_DLL_FN (library, png_get_tRNS);
+#  endif
   LOAD_DLL_FN (library, png_set_strip_16);
   LOAD_DLL_FN (library, png_set_expand);
   LOAD_DLL_FN (library, png_set_gray_to_rgb);
@@ -6304,7 +6309,7 @@ init_png_functions (void)
 #  undef png_get_IHDR
 #  undef png_get_io_ptr
 #  undef png_get_rowbytes
-#  undef png_get_valid
+#  undef png_get_tRNS
 #  undef png_longjmp
 #  undef png_read_end
 #  undef png_read_image
@@ -6329,7 +6334,7 @@ init_png_functions (void)
 #  define png_get_IHDR fn_png_get_IHDR
 #  define png_get_io_ptr fn_png_get_io_ptr
 #  define png_get_rowbytes fn_png_get_rowbytes
-#  define png_get_valid fn_png_get_valid
+#  define png_get_tRNS fn_png_get_tRNS
 #  define png_longjmp fn_png_longjmp
 #  define png_read_end fn_png_read_end
 #  define png_read_image fn_png_read_image
@@ -6589,10 +6594,21 @@ png_load_body (struct frame *f, struct image *img, struct png_load_context *c)
 
   /* If image contains simply transparency data, we prefer to
      construct a clipping mask.  */
-  if (png_get_valid (png_ptr, info_ptr, PNG_INFO_tRNS))
-    transparent_p = 1;
-  else
-    transparent_p = 0;
+  transparent_p = false;
+# ifdef PNG_tRNS_SUPPORTED
+  png_bytep trans_alpha;
+  int num_trans;
+  if (png_get_tRNS (png_ptr, info_ptr, &trans_alpha, &num_trans, NULL)
+      && trans_alpha)
+    {
+      int i;
+      for (i = 0; i < num_trans; i++)
+	if (0 < trans_alpha[i] && trans_alpha[i] < 255)
+	  break;
+      if (! (i < num_trans))
+	transparent_p = true;
+    }
+# endif
 
   /* This function is easier to write if we only have to handle
      one data format: RGB or RGBA with 8 bits per channel.  Let's
@@ -6680,7 +6696,7 @@ png_load_body (struct frame *f, struct image *img, struct png_load_context *c)
   /* Create an image and pixmap serving as mask if the PNG image
      contains an alpha channel.  */
   if (channels == 4
-      && !transparent_p
+      && transparent_p
       && !image_create_x_image_and_pixmap (f, img, width, height, 1,
 					   &mask_img, 1))
     {
-- 
2.17.1


--------------2DC646F745174DCE19A5F135--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 25 Aug 2019 12:19:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 08:19:19 2019
Received: from localhost ([127.0.0.1]:43710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1rUN-0005Mc-Hr
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 08:19:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1i1rUM-0005MR-Dq
 for 37153 <at> debbugs.gnu.org; Sun, 25 Aug 2019 08:19:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48608)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>)
 id 1i1rUF-000675-TB; Sun, 25 Aug 2019 08:19:11 -0400
Received: from [2602:30a:2e52:d720:65b7:1416:12e7:8bfb] (port=53648
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <winkler@HIDDEN>)
 id 1i1rUF-000281-Ga; Sun, 25 Aug 2019 08:19:11 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <31933.54603.787637.23906@HIDDEN>
Date: Sun, 25 Aug 2019 07:19:09 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Subject: Re: bug#37153: 26.1; some png images scrambled
In-Reply-To: <wlwof1ive4.wl-mituharu@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <5136.20784.40920.23906@HIDDEN>
 <wlwof1ive4.wl-mituharu@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sun Aug 25 2019 YAMAMOTO Mitsuharu wrote:
> It seems to be necessary to look into the tRNS chunk data for paletted
> images.  Again, W32 would need some more work.

Thank you, I can confirm that your patch works for me (under GNU
Linux), including the transparent images from the png test suite.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 25 Aug 2019 07:25:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 03:25:01 2019
Received: from localhost ([127.0.0.1]:43523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1mtY-0004cB-WA
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 03:25:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i1mtW-0004bx-Nh
 for 37153 <at> debbugs.gnu.org; Sun, 25 Aug 2019 03:24:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45667)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i1mtQ-0007Fo-EZ; Sun, 25 Aug 2019 03:24:52 -0400
Received: from [176.228.60.248] (port=1846 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i1mtP-0005VK-K7; Sun, 25 Aug 2019 03:24:51 -0400
Date: Sun, 25 Aug 2019 10:24:50 +0300
Message-Id: <83y2zhhflp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
In-reply-to: <wlk1b1nagj.wl-mituharu@HIDDEN> (message from
 YAMAMOTO Mitsuharu on Sun, 25 Aug 2019 13:19:24 +0900)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <83tva6j29w.fsf@HIDDEN> <wlk1b1nagj.wl-mituharu@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, eggert@HIDDEN, winkler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 25 Aug 2019 13:19:24 +0900
> From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
> Cc: winkler@HIDDEN,
> 	37153 <at> debbugs.gnu.org,
> 	eggert@HIDDEN
> 
> > > --- a/src/image.c
> > > +++ b/src/image.c
> > > @@ -6680,7 +6680,7 @@ png_load_body (struct frame *f, struct image *img,
> > > struct png_load_context *c)
> > >    /* Create an image and pixmap serving as mask if the PNG image
> > >       contains an alpha channel.  */
> > >    if (channels == 4
> > > -      && !transparent_p
> > > +      && transparent_p
> > >        && !image_create_x_image_and_pixmap (f, img, width, height, 1,
> > >  					   &mask_img, 1))
> > >      {
> > > 
> > 
> > That didn't change anything in how I see the image in question, FWIW.
> 
> Attached is a screenshot on X11.  Probably W32 needs some more work.

I always see the 3rd image, no matter what face is specified, FWIW.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 25 Aug 2019 06:58:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 02:58:30 2019
Received: from localhost ([127.0.0.1]:43514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1mTu-0003ve-FK
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 02:58:30 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:62823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mituharu@HIDDEN>) id 1i1mTs-0003vS-Or
 for 37153 <at> debbugs.gnu.org; Sun, 25 Aug 2019 02:58:29 -0400
Received: from mathent.math.s.chiba-u.ac.jp (mathent [192.168.32.5])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 467DFF0902;
 Sun, 25 Aug 2019 15:58:27 +0900 (JST)
 (envelope-from mituharu@HIDDEN)
Date: Sun, 25 Aug 2019 15:58:27 +0900
Message-ID: <wlwof1ive4.wl-mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: "Roland Winkler" <winkler@HIDDEN>
Subject: Re: bug#37153: 26.1; some png images scrambled
In-Reply-To: <5136.20784.40920.23906@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <5136.20784.40920.23906@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/25.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, 25 Aug 2019 13:52:32 +0900,
Roland Winkler wrote:
> 
> On Sat Aug 24 2019 mituharu@HIDDEN wrote:
> > I suspect there is a longstanding typo (or thinko) in PNG
> > transparency handling code.
> 
> It may be helpful to check the "official" test-suite for PNG
> 
> http://www.schaik.com/pngsuite2011/pngsuite.html
> 
> which contains also png files with transparency
> 
> http://www.schaik.com/pngsuite2011/pngsuite_trn_png.html
> 
> Somehow emacs ignores the transparency for image type png, see for
> example the file tm3n3p02.png with multiple levels of transparency.
> 
> Transparency is honored for these images when emacs uses imagemagick.

It seems to be necessary to look into the tRNS chunk data for paletted
images.  Again, W32 would need some more work.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN

diff --git a/src/image.c b/src/image.c
index 81d8cb4e2b2..7f1561d7a68 100644
--- a/src/image.c
+++ b/src/image.c
@@ -6589,10 +6589,28 @@ png_load_body (struct frame *f, struct image *img, struct png_load_context *c)
 
   /* If image contains simply transparency data, we prefer to
      construct a clipping mask.  */
+  transparent_p = false;
   if (png_get_valid (png_ptr, info_ptr, PNG_INFO_tRNS))
-    transparent_p = 1;
-  else
-    transparent_p = 0;
+    {
+      if (color_type != PNG_COLOR_TYPE_PALETTE)
+	transparent_p = true;
+      else
+	{
+	  /* Paletted images can specify transparency levels. */
+	  png_bytep trans;
+	  int i, num_trans;
+
+	  if (png_get_tRNS (png_ptr, info_ptr, &trans, &num_trans, NULL)
+	      == PNG_INFO_tRNS)
+	    {
+	      for (i = 0; i < num_trans; i++)
+		if (!(trans[i] == 0 || trans[i] == 255))
+		  break;
+	      if (i == num_trans)
+		transparent_p = true;
+	    }
+	}
+    }
 
   /* This function is easier to write if we only have to handle
      one data format: RGB or RGBA with 8 bits per channel.  Let's
@@ -6680,7 +6698,7 @@ png_load_body (struct frame *f, struct image *img, struct png_load_context *c)
   /* Create an image and pixmap serving as mask if the PNG image
      contains an alpha channel.  */
   if (channels == 4
-      && !transparent_p
+      && transparent_p
       && !image_create_x_image_and_pixmap (f, img, width, height, 1,
 					   &mask_img, 1))
     {




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 25 Aug 2019 04:52:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 00:52:44 2019
Received: from localhost ([127.0.0.1]:43436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1kWB-0004fv-NA
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 00:52:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39923)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1i1kW9-0004fh-Hx
 for 37153 <at> debbugs.gnu.org; Sun, 25 Aug 2019 00:52:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44361)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>)
 id 1i1kW1-0007Jn-BF; Sun, 25 Aug 2019 00:52:35 -0400
Received: from [2602:30a:2e52:d720:65b7:1416:12e7:8bfb] (port=53216
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <winkler@HIDDEN>)
 id 1i1kW0-0004wy-W5; Sun, 25 Aug 2019 00:52:33 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <5136.20784.40920.23906@HIDDEN>
Date: Sat, 24 Aug 2019 23:52:32 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: mituharu@HIDDEN
Subject: Re: bug#37153: 26.1; some png images scrambled
In-Reply-To: <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sat Aug 24 2019 mituharu@HIDDEN wrote:
> I suspect there is a longstanding typo (or thinko) in PNG
> transparency handling code.

It may be helpful to check the "official" test-suite for PNG

http://www.schaik.com/pngsuite2011/pngsuite.html

which contains also png files with transparency

http://www.schaik.com/pngsuite2011/pngsuite_trn_png.html

Somehow emacs ignores the transparency for image type png, see for
example the file tm3n3p02.png with multiple levels of transparency.

Transparency is honored for these images when emacs uses imagemagick.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 25 Aug 2019 04:19:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 00:19:30 2019
Received: from localhost ([127.0.0.1]:43424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1k01-0003qa-Vj
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 00:19:30 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:62995)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mituharu@HIDDEN>) id 1i1jzy-0003qP-Bb
 for 37153 <at> debbugs.gnu.org; Sun, 25 Aug 2019 00:19:27 -0400
Received: from mathent.math.s.chiba-u.ac.jp (mathent [192.168.32.5])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 448DFF08FD;
 Sun, 25 Aug 2019 13:19:24 +0900 (JST)
 (envelope-from mituharu@HIDDEN)
Date: Sun, 25 Aug 2019 13:19:24 +0900
Message-ID: <wlk1b1nagj.wl-mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37153: 26.1; some png images scrambled
In-Reply-To: <83tva6j29w.fsf@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 <83tva6j29w.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/25.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: multipart/mixed; boundary="Multipart_Sun_Aug_25_13:19:24_2019-1"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, eggert@HIDDEN, winkler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Multipart_Sun_Aug_25_13:19:24_2019-1
Content-Type: text/plain; charset=US-ASCII

On Sat, 24 Aug 2019 19:17:31 +0900,
Eli Zaretskii wrote:
> 
> > Date: Sat, 24 Aug 2019 18:01:46 +0900
> > From: mituharu@HIDDEN
> > Cc: 37153 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
> > 
> > I suspect there is a longstanding typo (or thinko) in PNG
> > transparency handling code.
> > 
> > 				     YAMAMOTO Mitsuharu
> > 				mituharu@HIDDEN
> > 
> > diff --git a/src/image.c b/src/image.c
> > index 81d8cb4e2b2..819e058f7e1 100644
> > --- a/src/image.c
> > +++ b/src/image.c
> > @@ -6680,7 +6680,7 @@ png_load_body (struct frame *f, struct image *img,
> > struct png_load_context *c)
> >    /* Create an image and pixmap serving as mask if the PNG image
> >       contains an alpha channel.  */
> >    if (channels == 4
> > -      && !transparent_p
> > +      && transparent_p
> >        && !image_create_x_image_and_pixmap (f, img, width, height, 1,
> >  					   &mask_img, 1))
> >      {
> > 
> 
> That didn't change anything in how I see the image in question, FWIW.

Attached is a screenshot on X11.  Probably W32 needs some more work.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN

--Multipart_Sun_Aug_25_13:19:24_2019-1
Content-Type: image/png; name="tRNS.png"
Content-Disposition: inline; filename="tRNS.png"
Content-Transfer-Encoding: base64
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--Multipart_Sun_Aug_25_13:19:24_2019-1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 24 Aug 2019 10:17:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 06:17:43 2019
Received: from localhost ([127.0.0.1]:41583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1T79-0000Nz-3n
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 06:17:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i1T76-0000Nm-Kj
 for 37153 <at> debbugs.gnu.org; Sat, 24 Aug 2019 06:17:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60301)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i1T71-00068N-05; Sat, 24 Aug 2019 06:17:35 -0400
Received: from [176.228.60.248] (port=4028 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i1T6z-00068h-TS; Sat, 24 Aug 2019 06:17:34 -0400
Date: Sat, 24 Aug 2019 13:17:31 +0300
Message-Id: <83tva6j29w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: mituharu@HIDDEN
In-reply-to: <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
 (mituharu@HIDDEN)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, eggert@HIDDEN, winkler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 24 Aug 2019 18:01:46 +0900
> From: mituharu@HIDDEN
> Cc: 37153 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
> 
> I suspect there is a longstanding typo (or thinko) in PNG
> transparency handling code.
> 
> 				     YAMAMOTO Mitsuharu
> 				mituharu@HIDDEN
> 
> diff --git a/src/image.c b/src/image.c
> index 81d8cb4e2b2..819e058f7e1 100644
> --- a/src/image.c
> +++ b/src/image.c
> @@ -6680,7 +6680,7 @@ png_load_body (struct frame *f, struct image *img,
> struct png_load_context *c)
>    /* Create an image and pixmap serving as mask if the PNG image
>       contains an alpha channel.  */
>    if (channels == 4
> -      && !transparent_p
> +      && transparent_p
>        && !image_create_x_image_and_pixmap (f, img, width, height, 1,
>  					   &mask_img, 1))
>      {
> 

That didn't change anything in how I see the image in question, FWIW.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 24 Aug 2019 09:01:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 05:01:49 2019
Received: from localhost ([127.0.0.1]:41564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1Rvh-0006z4-1n
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 05:01:49 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:64128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mituharu@HIDDEN>) id 1i1Rve-0006yr-Mb
 for 37153 <at> debbugs.gnu.org; Sat, 24 Aug 2019 05:01:47 -0400
Received: from weber.math.s.chiba-u.ac.jp (weber [192.168.32.4])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id BAB34F091D;
 Sat, 24 Aug 2019 18:01:46 +0900 (JST)
 (envelope-from mituharu@HIDDEN)
Received: from 58.89.58.6 (SquirrelMail authenticated user mituharu)
 by weber.math.s.chiba-u.ac.jp with HTTP;
 Sat, 24 Aug 2019 18:01:46 +0900
Message-ID: <9c4c68ebe20cbcc44763be8e72bd25eb.squirrel@HIDDEN>
In-Reply-To: <44134.15891.158963.23904@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
Date: Sat, 24 Aug 2019 18:01:46 +0900
Subject: Re: bug#37153: 26.1; some png images scrambled
From: mituharu@HIDDEN
To: "Roland Winkler" <winkler@HIDDEN>
User-Agent: SquirrelMail/1.4.22-5.el6
MIME-Version: 1.0
Content-Type: text/plain;charset=iso-2022-jp
Content-Transfer-Encoding: 8bit
X-Priority: 3 (Normal)
Importance: Normal
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> On Fri Aug 23 2019 Paul Eggert wrote:
>> Do you see the same problem when using Emacs master? If not, then
>> perhaps we can just marked the bug as fixed in the next release.
>
> The problem with my test png image is that it has transparent parts
> that need to be displayed with a light color so that one can
> recognize the nontransparent dark parts.  But the image uses fully
> transparent black as background.  The behavior in such a case is not
> strictly defined by the png standard, see
>
> https://sourceforge.net/p/png-mng/mailman/message/36747189/
>
> Emacs displays such fully transparent background with its original
> color specified by the image.  But I believe it would make more
> sense if emacs used instead a background color that the user can
> choose (the background color of the frame), similar to, for example,
> eog.

I suspect there is a longstanding typo (or thinko) in PNG
transparency handling code.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN

diff --git a/src/image.c b/src/image.c
index 81d8cb4e2b2..819e058f7e1 100644
--- a/src/image.c
+++ b/src/image.c
@@ -6680,7 +6680,7 @@ png_load_body (struct frame *f, struct image *img,
struct png_load_context *c)
   /* Create an image and pixmap serving as mask if the PNG image
      contains an alpha channel.  */
   if (channels == 4
-      && !transparent_p
+      && transparent_p
       && !image_create_x_image_and_pixmap (f, img, width, height, 1,
 					   &mask_img, 1))
     {






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 24 Aug 2019 06:26:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 02:26:12 2019
Received: from localhost ([127.0.0.1]:41510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1PV6-0002oK-H8
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 02:26:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i1PV4-0002o8-GR
 for 37153 <at> debbugs.gnu.org; Sat, 24 Aug 2019 02:26:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58620)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i1PUz-0002Ui-DB; Sat, 24 Aug 2019 02:26:05 -0400
Received: from [176.228.60.248] (port=1872 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i1PUu-0006gw-Py; Sat, 24 Aug 2019 02:26:02 -0400
Date: Sat, 24 Aug 2019 09:26:13 +0300
Message-Id: <8336hrjcze.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <2276b80c-df26-68af-fb71-f64966498b8b@HIDDEN> (message from
 Paul Eggert on Fri, 23 Aug 2019 20:39:17 -0700)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <2276b80c-df26-68af-fb71-f64966498b8b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, winkler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Paul Eggert <eggert@HIDDEN>
> Date: Fri, 23 Aug 2019 20:39:17 -0700
> Cc: 37153 <at> debbugs.gnu.org
> 
> Roland Winkler wrote:
> > I believe it would make more
> > sense if emacs used instead a background color that the user can
> > choose (the background color of the frame), similar to, for example,
> > eog.
> > 
> > Should I submit a separate feature request for this?
> 
> Can you do this with faces?

No, not AFAIK.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 24 Aug 2019 06:22:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 02:22:31 2019
Received: from localhost ([127.0.0.1]:41506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1PRW-0002ir-Vk
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 02:22:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49053)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i1PRU-0002ib-3V
 for 37153 <at> debbugs.gnu.org; Sat, 24 Aug 2019 02:22:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58606)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i1PRO-0000Cq-U2; Sat, 24 Aug 2019 02:22:22 -0400
Received: from [176.228.60.248] (port=1648 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i1PRN-0006Ti-UG; Sat, 24 Aug 2019 02:22:22 -0400
Date: Sat, 24 Aug 2019 09:22:34 +0300
Message-Id: <834l27jd5h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Roland Winkler" <winkler@HIDDEN>
In-reply-to: <44134.15891.158963.23904@HIDDEN> (winkler@HIDDEN)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 23 Aug 2019 22:17:58 -0500
> From: "Roland Winkler" <winkler@HIDDEN>
> Cc: 37153 <at> debbugs.gnu.org
> 
> The problem with my test png image is that it has transparent parts
> that need to be displayed with a light color so that one can
> recognize the nontransparent dark parts.  But the image uses fully
> transparent black as background.  The behavior in such a case is not
> strictly defined by the png standard, see
> 
> https://sourceforge.net/p/png-mng/mailman/message/36747189/
> 
> Emacs displays such fully transparent background with its original
> color specified by the image.  But I believe it would make more
> sense if emacs used instead a background color that the user can
> choose (the background color of the frame), similar to, for example,
> eog.

Please take a look at image.c in the PNG area: it includes quite a few
references to "transparent" and what we should be/are doing with that.

> Should I submit a separate feature request for this?

I don't think I understand the feature you want to request.  Please
don't forget that the same PNG image can be displayed on places that
have different background colors.  I also don't think I see the use
cases for such images in Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 24 Aug 2019 05:51:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 01:51:13 2019
Received: from localhost ([127.0.0.1]:41496 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1OxE-0001yj-Uo
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 01:51:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i1OxA-0001yS-7e
 for 37153 <at> debbugs.gnu.org; Sat, 24 Aug 2019 01:51:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58344)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i1Ox5-0000Bs-1g; Sat, 24 Aug 2019 01:51:03 -0400
Received: from [176.228.60.248] (port=3709 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i1Ox3-00040O-UY; Sat, 24 Aug 2019 01:51:02 -0400
Date: Sat, 24 Aug 2019 08:51:13 +0300
Message-Id: <838srjjelq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <2d8c8224-5b99-4c86-07fc-bc2a968bb625@HIDDEN> (message from
 Paul Eggert on Fri, 23 Aug 2019 13:33:11 -0700)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <28732.94605.161707.23903@HIDDEN>
 <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN> <83blwfk5fh.fsf@HIDDEN>
 <2d8c8224-5b99-4c86-07fc-bc2a968bb625@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, winkler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: winkler@HIDDEN, 37153 <at> debbugs.gnu.org
> From: Paul Eggert <eggert@HIDDEN>
> Date: Fri, 23 Aug 2019 13:33:11 -0700
> 
> Eli Zaretskii wrote:
> > Please show the screenshot of the image as you saw it.
> 
> My screenshot software outputs .png so if there's a problem with the original 
> .png image there will quite possibly be a problem with the screenshot too. But 
> anyway, attached is a screenshot of how Gimp displays the test image, magnified 
> 16x. The checkerboard is how Gimp displays absent parts of the image, and the 
> gray frame around the edge is also part of Gimp and not part of the image.

This is not how this should be displayed, AFAIU.  Try opening the same
image in Firefox, and you will see a much more reasonable display.  I
presume that's what the OP wanted.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 24 Aug 2019 04:19:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 00:19:25 2019
Received: from localhost ([127.0.0.1]:41479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1NWP-00085H-3O
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 00:19:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39081)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1i1NWM-000853-RG
 for 37153 <at> debbugs.gnu.org; Sat, 24 Aug 2019 00:19:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57230)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>)
 id 1i1NWH-0005w2-FM; Sat, 24 Aug 2019 00:19:17 -0400
Received: from [2602:30a:2e52:d720:65b7:1416:12e7:8bfb] (port=51034
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <winkler@HIDDEN>)
 id 1i1NWG-00058E-Vv; Sat, 24 Aug 2019 00:19:17 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <47812.38793.102260.23904@HIDDEN>
Date: Fri, 23 Aug 2019 23:19:16 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: 26.1; some png images scrambled
In-Reply-To: <2276b80c-df26-68af-fb71-f64966498b8b@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
 <2276b80c-df26-68af-fb71-f64966498b8b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Fri Aug 23 2019 Paul Eggert wrote:
> Can you do this with faces? They let you specify background
> colors. (I don't use this stuff so you'll have to be the expert.)

I am not an expert either.  When I created a buffer with my png
image plus ordinary text, I could change the background color of the
text via add-face-text-property.  But this did not affect the
background color of the image.  So I believe the answer is no.

> If there's no way to do it in Emacs now, I suggest retitling this
> bug report and changing it to a feature request, which you can do
> as described here:
> 
> https://debbugs.gnu.org/server-control.html

Thanks, I'll wait a day or two.  If nobody tells me that I have
overlooked something significant, I'll turn this bug report into a
feature request.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 24 Aug 2019 03:39:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 23:39:27 2019
Received: from localhost ([127.0.0.1]:41472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1Mti-00078x-Qs
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 23:39:27 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:39642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1i1Mtg-00078h-MJ
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 23:39:25 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 1F911160057;
 Fri, 23 Aug 2019 20:39:19 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id ufkiTbtFpGke; Fri, 23 Aug 2019 20:39:18 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 512A81600A9;
 Fri, 23 Aug 2019 20:39:18 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id fhb5qbZB3iQH; Fri, 23 Aug 2019 20:39:18 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 2364C160057;
 Fri, 23 Aug 2019 20:39:18 -0700 (PDT)
Subject: Re: 26.1; some png images scrambled
To: Roland Winkler <winkler@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
 <44134.15891.158963.23904@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <2276b80c-df26-68af-fb71-f64966498b8b@HIDDEN>
Date: Fri, 23 Aug 2019 20:39:17 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <44134.15891.158963.23904@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Roland Winkler wrote:
> I believe it would make more
> sense if emacs used instead a background color that the user can
> choose (the background color of the frame), similar to, for example,
> eog.
> 
> Should I submit a separate feature request for this?

Can you do this with faces? They let you specify background colors. (I don't use 
this stuff so you'll have to be the expert.)

If there's no way to do it in Emacs now, I suggest retitling this bug report and 
changing it to a feature request, which you can do as described here:

https://debbugs.gnu.org/server-control.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 24 Aug 2019 03:18:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 23:18:07 2019
Received: from localhost ([127.0.0.1]:41467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1MZ4-0006c5-UF
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 23:18:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33855)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1i1MZ2-0006bZ-He
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 23:18:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56285)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>)
 id 1i1MYx-0005lq-EB; Fri, 23 Aug 2019 23:17:59 -0400
Received: from [2602:30a:2e52:d720:65b7:1416:12e7:8bfb] (port=50884
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <winkler@HIDDEN>)
 id 1i1MYx-0007ZE-2u; Fri, 23 Aug 2019 23:17:59 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <44134.15891.158963.23904@HIDDEN>
Date: Fri, 23 Aug 2019 22:17:58 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: 26.1; some png images scrambled
In-Reply-To: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
References: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Fri Aug 23 2019 Paul Eggert wrote:
> Do you see the same problem when using Emacs master? If not, then
> perhaps we can just marked the bug as fixed in the next release.

The problem with my test png image is that it has transparent parts
that need to be displayed with a light color so that one can
recognize the nontransparent dark parts.  But the image uses fully
transparent black as background.  The behavior in such a case is not
strictly defined by the png standard, see

https://sourceforge.net/p/png-mng/mailman/message/36747189/

Emacs displays such fully transparent background with its original
color specified by the image.  But I believe it would make more
sense if emacs used instead a background color that the user can
choose (the background color of the frame), similar to, for example,
eog.

Should I submit a separate feature request for this?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 23 Aug 2019 20:33:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 16:33:20 2019
Received: from localhost ([127.0.0.1]:41271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1GFL-0000LD-V3
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 16:33:20 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:47990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1i1GFK-0000Kz-6N
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 16:33:19 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 804B8160073;
 Fri, 23 Aug 2019 13:33:12 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id ZROycafCrRfb; Fri, 23 Aug 2019 13:33:11 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id D2A5216008D;
 Fri, 23 Aug 2019 13:33:11 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id ip_Z8Ffl-x_s; Fri, 23 Aug 2019 13:33:11 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id A497E160073;
 Fri, 23 Aug 2019 13:33:11 -0700 (PDT)
Subject: Re: bug#37153: 26.1; some png images scrambled
To: Eli Zaretskii <eliz@HIDDEN>
References: <28732.94605.161707.23903@HIDDEN>
 <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN> <83blwfk5fh.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <2d8c8224-5b99-4c86-07fc-bc2a968bb625@HIDDEN>
Date: Fri, 23 Aug 2019 13:33:11 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <83blwfk5fh.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------632197BDD2FAB74B2988D217"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, winkler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------632197BDD2FAB74B2988D217
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Eli Zaretskii wrote:
> Please show the screenshot of the image as you saw it.

My screenshot software outputs .png so if there's a problem with the original 
.png image there will quite possibly be a problem with the screenshot too. But 
anyway, attached is a screenshot of how Gimp displays the test image, magnified 
16x. The checkerboard is how Gimp displays absent parts of the image, and the 
gray frame around the edge is also part of Gimp and not part of the image.

--------------632197BDD2FAB74B2988D217
Content-Type: image/png;
 name="Screenshot from 2019-08-23 13-29-06.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="Screenshot from 2019-08-23 13-29-06.png"
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--------------632197BDD2FAB74B2988D217--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 23 Aug 2019 20:11:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 16:11:44 2019
Received: from localhost ([127.0.0.1]:41254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1FuR-0008DQ-TJ
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 16:11:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45983)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i1FuP-0008DB-PO
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 16:11:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49533)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i1FuK-0003Ej-2X; Fri, 23 Aug 2019 16:11:36 -0400
Received: from [176.228.60.248] (port=4342 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i1FuI-0004Q4-UG; Fri, 23 Aug 2019 16:11:35 -0400
Date: Fri, 23 Aug 2019 23:11:46 +0300
Message-Id: <83blwfk5fh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN> (message from
 Paul Eggert on Fri, 23 Aug 2019 12:37:12 -0700)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <28732.94605.161707.23903@HIDDEN>
 <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org, winkler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Paul Eggert <eggert@HIDDEN>
> Date: Fri, 23 Aug 2019 12:37:12 -0700
> Cc: 37153 <at> debbugs.gnu.org
> 
> I didn't reproduce the problem with Emacs master on Ubuntu 18.04.3 LTS. The 
> Emacs display agrees with the Gimp's display of that tiny image. Also, the rpng 
> test program of the librpng 1.6.37 (the current version) also displays the image 
> the same way. I had to patch librpng with the attached to get the test program 
> to compile.

Please show the screenshot of the image as you saw it.  Otherwise,
it's hard to understand what do you mean by "not reproducing" the
problem.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 23 Aug 2019 19:37:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 15:37:21 2019
Received: from localhost ([127.0.0.1]:41234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1FNB-0007MC-Bo
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 15:37:21 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:40686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1i1FN9-0007Lz-HW
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 15:37:20 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id EDC38160073;
 Fri, 23 Aug 2019 12:37:13 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id s6mXKF_6FVH3; Fri, 23 Aug 2019 12:37:13 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 4029416008D;
 Fri, 23 Aug 2019 12:37:13 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id WNFCKXYwP4eh; Fri, 23 Aug 2019 12:37:13 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 19176160073;
 Fri, 23 Aug 2019 12:37:13 -0700 (PDT)
To: Roland Winkler <winkler@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: 26.1; some png images scrambled
Organization: UCLA Computer Science Department
Message-ID: <5b006777-5e97-a641-6f93-83a437ca9ca7@HIDDEN>
Date: Fri, 23 Aug 2019 12:37:12 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------E88883693D964CCD1F5989A2"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------E88883693D964CCD1F5989A2
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

I didn't reproduce the problem with Emacs master on Ubuntu 18.04.3 LTS. The 
Emacs display agrees with the Gimp's display of that tiny image. Also, the rpng 
test program of the librpng 1.6.37 (the current version) also displays the image 
the same way. I had to patch librpng with the attached to get the test program 
to compile.

Do you see the same problem when using Emacs master? If not, then perhaps we can 
just marked the bug as fixed in the next release.

--------------E88883693D964CCD1F5989A2
Content-Type: text/x-patch;
 name="libpng.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="libpng.patch"

diff -pru libpng-1.6.37/contrib/gregbook/readpng.c libpng-1.6.37-fixed/contrib/gregbook/readpng.c
--- libpng-1.6.37/contrib/gregbook/readpng.c	2019-04-14 11:10:32.000000000 -0700
+++ libpng-1.6.37-fixed/contrib/gregbook/readpng.c	2019-08-23 12:14:13.106180379 -0700
@@ -266,7 +266,7 @@ uch *readpng_get_image(double display_ex

     /* Guard against integer overflow */
     if (height > ((size_t)(-1))/rowbytes) {
-        fprintf(stderr, "readpng:  image_data buffer would be too large\n",
+        fprintf(stderr, "readpng:  image_data buffer would be too large\n");
         return NULL;
     }

--------------E88883693D964CCD1F5989A2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 23 Aug 2019 15:34:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 11:34:10 2019
Received: from localhost ([127.0.0.1]:41005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1BZq-0004HD-5n
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 11:34:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53329)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i1BZo-0004H1-Vi
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 11:34:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44667)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i1BZj-00058u-TB
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 11:34:03 -0400
Received: from [176.228.60.248] (port=3399 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i1BZi-00038T-1P; Fri, 23 Aug 2019 11:34:03 -0400
Date: Fri, 23 Aug 2019 18:34:09 +0300
Message-Id: <83h867kia6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Roland Winkler" <winkler@HIDDEN>
In-reply-to: <328.13047.864816.23904@HIDDEN> (winkler@HIDDEN)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <28732.94605.161707.23903@HIDDEN>
 <83d0gwb74z.fsf@HIDDEN>
 <53342.98395.524648.23903@HIDDEN>
 <83v9uojclw.fsf@HIDDEN> <328.13047.864816.23904@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 23 Aug 2019 10:07:52 -0500
> From: "Roland Winkler" <winkler@HIDDEN>
> Cc: 37153 <at> debbugs.gnu.org
> 
> https://sourceforge.net/p/png-mng/mailman/message/36746994/

Thanks, let's see what this brings up.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 23 Aug 2019 15:08:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 11:08:03 2019
Received: from localhost ([127.0.0.1]:40996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1BAY-0003ei-Um
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 11:08:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1i1BAW-0003eB-Fq
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 11:08:01 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44293)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>) id 1i1BAR-0007xT-Ek
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 11:07:55 -0400
Received: from [2602:30a:2e52:d720:65b7:1416:12e7:8bfb] (port=48962
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <winkler@HIDDEN>)
 id 1i1BAQ-0005wR-Kr; Fri, 23 Aug 2019 11:07:54 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <328.13047.864816.23904@HIDDEN>
Date: Fri, 23 Aug 2019 10:07:52 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37153: 26.1; some png images scrambled
In-Reply-To: <83v9uojclw.fsf@HIDDEN>
References: <28732.94605.161707.23903@HIDDEN>
 <83d0gwb74z.fsf@HIDDEN>
 <53342.98395.524648.23903@HIDDEN>
 <83v9uojclw.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Fri Aug 23 2019 Eli Zaretskii wrote:
> > No, I do not know the culprit.  How can I find out?
> 
> By asking on the libpng-related forum (assuming there is such a
> thing)?
> 
> > (On my GNU/linux computer, eog displays the image correctly.  Which
> > other software uses libpng similar to emacs?)
> 
> I don't know.  Anyone?

See

https://sourceforge.net/p/png-mng/mailman/message/36746994/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 23 Aug 2019 12:22:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 08:22:02 2019
Received: from localhost ([127.0.0.1]:39219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i18Zt-0001Iv-7r
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 08:22:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i18Zr-0001Ih-EG
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 08:21:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41397)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i18Zm-0003cr-5U
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 08:21:54 -0400
Received: from [176.228.60.248] (port=3339 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i18Zj-00057c-IX; Fri, 23 Aug 2019 08:21:52 -0400
Date: Fri, 23 Aug 2019 15:22:03 +0300
Message-Id: <83v9uojclw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Roland Winkler" <winkler@HIDDEN>
In-reply-to: <53342.98395.524648.23903@HIDDEN> (winkler@HIDDEN)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <28732.94605.161707.23903@HIDDEN>
 <83d0gwb74z.fsf@HIDDEN> <53342.98395.524648.23903@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 23 Aug 2019 06:39:10 -0500
> From: "Roland Winkler" <winkler@HIDDEN>
> Cc: 37153 <at> debbugs.gnu.org
> 
> On Fri Aug 23 2019 Eli Zaretskii wrote:
> > Are you sure this is not a libpng bug?
> 
> No, I do not know the culprit.  How can I find out?

By asking on the libpng-related forum (assuming there is such a
thing)?

> (On my GNU/linux computer, eog displays the image correctly.  Which
> other software uses libpng similar to emacs?)

I don't know.  Anyone?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 23 Aug 2019 11:48:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 07:48:41 2019
Received: from localhost ([127.0.0.1]:39191 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i183d-0000Vi-MK
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 07:48:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1i183b-0000VV-Ur
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 07:48:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38540)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>) id 1i17uV-0006tz-N7
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 07:39:15 -0400
Received: from [2602:30a:2e52:d720:65b7:1416:12e7:8bfb] (port=47944
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <winkler@HIDDEN>)
 id 1i17uT-0004Rc-3Z; Fri, 23 Aug 2019 07:39:13 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <53342.98395.524648.23903@HIDDEN>
Date: Fri, 23 Aug 2019 06:39:10 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37153: 26.1; some png images scrambled
In-Reply-To: <83d0gwb74z.fsf@HIDDEN>
References: <28732.94605.161707.23903@HIDDEN>
 <83d0gwb74z.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Fri Aug 23 2019 Eli Zaretskii wrote:
> Are you sure this is not a libpng bug?

No, I do not know the culprit.  How can I find out?

(On my GNU/linux computer, eog displays the image correctly.  Which
other software uses libpng similar to emacs?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at 37153 <at> debbugs.gnu.org:


Received: (at 37153) by debbugs.gnu.org; 23 Aug 2019 08:47:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 04:47:22 2019
Received: from localhost ([127.0.0.1]:39130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i15EA-0002Yf-FH
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 04:47:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i15E9-0002YS-8E
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 04:47:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55021)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i15E4-0002Ch-33
 for 37153 <at> debbugs.gnu.org; Fri, 23 Aug 2019 04:47:16 -0400
Received: from [176.228.60.248] (port=2126 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i15E3-00055Y-9V; Fri, 23 Aug 2019 04:47:15 -0400
Date: Fri, 23 Aug 2019 11:47:24 +0300
Message-Id: <83d0gwb74z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Roland Winkler" <winkler@HIDDEN>
In-reply-to: <28732.94605.161707.23903@HIDDEN> (winkler@HIDDEN)
Subject: Re: bug#37153: 26.1; some png images scrambled
References: <28732.94605.161707.23903@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37153
Cc: 37153 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 22 Aug 2019 23:49:00 -0500
> From: "Roland Winkler" <winkler@HIDDEN>
> 
> put attached file into ~/picture.png
> start emacs -Q
> evaluate
> (insert-image (create-image "~/picture.png"))
> The image is scrambled.  With imagemagick the image displays correctly
> (insert-image (create-image "~/picture.png" 'imagemagick))
> Of course, not all png images are scrambled.  So it seems to be a bug
> that is triggered only by certain png images.

Are you sure this is not a libpng bug?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Aug 2019 04:49:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 00:49:35 2019
Received: from localhost ([127.0.0.1]:38831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i11W3-0006ci-AU
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 00:49:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:44528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1i11W1-0006ca-0Q
 for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 00:49:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42201)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <winkler@HIDDEN>) id 1i11W0-0003r6-0y
 for bug-gnu-emacs@HIDDEN; Fri, 23 Aug 2019 00:49:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=ALL_TRUSTED,BAYES_50,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52505)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>) id 1i11Vz-0007tf-Tw
 for bug-gnu-emacs@HIDDEN; Fri, 23 Aug 2019 00:49:31 -0400
Received: from [2602:30a:2e52:d720:65b7:1416:12e7:8bfb] (port=47782
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <winkler@HIDDEN>) id 1i11Vz-0006Zr-GH
 for bug-gnu-emacs@HIDDEN; Fri, 23 Aug 2019 00:49:31 -0400
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="xv0RBlNYQj"
Content-Transfer-Encoding: 7bit
Message-ID: <28732.94605.161707.23903@HIDDEN>
Date: Thu, 22 Aug 2019 23:49:00 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; some png images scrambled
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--xv0RBlNYQj
Content-Type: text/plain; charset=us-ascii
Content-Description: message body text
Content-Transfer-Encoding: 7bit


put attached file into ~/picture.png
start emacs -Q
evaluate
(insert-image (create-image "~/picture.png"))
The image is scrambled.  With imagemagick the image displays correctly
(insert-image (create-image "~/picture.png" 'imagemagick))
Of course, not all png images are scrambled.  So it seems to be a bug
that is triggered only by certain png images.


In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2018-05-29 built on regnitz
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Ubuntu 16.04.6 LTS

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LCMS2

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: 
  locale-coding-system: utf-8-unix

Major mode: Fundamental


--xv0RBlNYQj
Content-Type: image/png; name="picture.png"
Content-Disposition: inline;
	filename="picture.png"
Content-Transfer-Encoding: base64

iVBORw0KGgoAAAANSUhEUgAAABEAAAARCAMAAAAMs7fIAAAAAXNSR0IArs4c6QAAAGBQTFRFAAAA
AAAAAABmADqQAGa2OgA6OgBmOjqQOma2OpDbZgAAZgA6ZgBmZjqQZmY6ZmZmZpDbZrb/kDoAkNv/
tmYAtmY6ttv/tv//25A627Zm29uQ2////7Zm/9uQ//+2///bnIV3LAAAAAF0Uk5TAEDm2GYAAAAJ
cEhZcwAADsQAAA7EAZUrDhsAAAAZdEVYdFNvZnR3YXJlAE1pY3Jvc29mdCBPZmZpY2V/7TVxAAAA
gklEQVQoU62PaxKCMAyEEwEFEZA+pAhN739LN53BcgD2RyfJJt9siS6T42ojeXL3J8rUW6Id40Px
7WCHskJhVt9j75C30lt5LQUzbMl08XHCtIBUa8a4Wl9FxmacUe4TXEoGdTI3YGT46m1gbYKm8fZM
03Pm7Jag9w8hRhnkjzmu6QdI+QcKQtQBswAAAABJRU5ErkJggg==
--xv0RBlNYQj--




Acknowledgement sent to "Roland Winkler" <winkler@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37153; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 24 Sep 2019 17:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.